"use strict";
const __vanilla_filescope__ = require("@vanilla-extract/css/fileScope");
const css = require("@vanilla-extract/css");
__vanilla_filescope__.setFileScope("src/lib/components/icons/IconArrow/IconArrow.css.ts", "braid-design-system");
const root = css.style({
  transition: "transform 0.3s ease",
  transformOrigin: "50% 50%"
}, "root");
const flip = css.style({
  transform: "rotateX(180deg)"
}, "flip");
const mirrorVar = css.createVar("mirrorVar");
const rotate = css.style({
  transform: `scaleX(${css.fallbackVar(mirrorVar, "1")}) rotate(90deg)`
}, "rotate");
const mirror = css.style({
  vars: {
    [mirrorVar]: "-1"
  }
}, "mirror");
__vanilla_filescope__.endFileScope();
exports.flip = flip;
exports.mirror = mirror;
exports.root = root;
exports.rotate = rotate;
